The secret passphrase in configuration (blowfish_secret) is too short

Issue

phpMyAdmin running on CentOS 7 LAMP server shows following warning after logging in:

The secret passphrase in configuration (blowfish_secret) is too short.

Resolution

Open /etc/phpMyAdmin/config.inc.php file and look for following code (around line 14):

 
$cfg['blowfish_secret'] = '84657495123845128452'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
 

Replace the secret with a random string that is at least 32 characters long:

 
$cfg['blowfish_secret'] = 'P5DS+radU0TOqI7HX$cH!eb3zwnDDoDr'; /* YOU MUST FILL IN THIS FOR COOKIE AUTH! */
 

Log off and log back on again to phpMyAdmin and the warning should be gone.

 

May 2017
CentOS 7.3
phpMyAdmin 4.4.15.10

Newsletter

Subscribe to receive occasional updates on new posts.
Your email will not be used for any other purpose and you can unsubscribe at any time.
Please wait